> ## Documentation Index
> Fetch the complete documentation index at: https://globale-enterprise.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get refund details

> This API provides information about refunds associated with an order.

The information includes all the refund details and the refundable amount for each product in the order.

The API returns:

* `MerchantOrderRefund`
* Credit note URL


## OpenAPI

````yaml api-reference/specs/getrefunddetails.yaml GET /v1/orders/{orderId}/refunds
openapi: 3.0.3
info:
  title: GetRefundDetails (Merchant to Global-e)
  version: 1.0.0
  x-scaled-review: true
  description: >-
    This API provides information about refunds associated with an order. The
    information includes all the refund details and the refundable amount for
    each product in the order.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: GetRefundDetails (Merchant to Global-e)
    x-page-title: GetRefundDetails
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Orders'
paths:
  /v1/orders/{orderId}/refunds:
    get:
      tags:
        - GetRefundDetails (Merchant to Global-e)
      summary: GetRefundDetails (Merchant to Global-e)
      description: >-
        This API provides information about refunds associated with an order.
        The information includes all the refund details and the refundable
        amount for each product in the order.
      operationId: getRefundDetails
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundDetailsResponse'
              example:
                OrderId: string
                MerchantOrderId: string
                MerchantInternalOrderId: string
                WebStoreCode: string
                WebStoreInstanceCode: string
                Refunds:
                  - RefundID: string
                    RMANumber: string
                    MerchantRMANumber: string
                    FullRefund: true
                    ProductsDutiesRefund: true
                    ShippingRefund: true
                    RefundAsGiftCard: null
                    TotalRefundAmount: string
                    OriginalTotalRefundAmount: string
                    ServiceGestureAmount: string
                    TotalMoneyRefundAmount: string
                    DutiesAmount: string
                    ShippingAmount: string
                    CustomerPrepaidRefundAmount: string
                    OriginalCustomerPrepaidRefundAmount: string
                    TotalGiftCardsRefundAmount: string
                    TotalGiftCardsRefundAmountinMerchantCurrency: 0
                    TotalLoyaltyPointsRefunded: 0
                    TotalLoyaltyPointsRefundAmount: 0
                    GiftCardsData:
                      - CardId: 0
                        OtherFields: ...
                    ExternalReference: string
                    InitiatedBy: string
                    CurrencyCode: string
                    OriginalCurrencyCode: string
                    RefundReason:
                      OrderRefundReasonCode: string
                      Name: string
                    RefundProducts:
                      - CartItemId: string
                        RefundQuantity: string
                        RefundAmount: string
                        OriginalRefundAmount: string
                        RefundAmountPercent: string
                        RefundReason: string
                        RefundComments: string
                        Sku: string
                        ProductCode: string
                        productGroupCode: string
                        ProductCodeSecondary: string
                        productGroupCodeSecondary: string
                    RefundComponents:
                      - Amount: string
                        OriginalAmount: string
                        IsChargedToMerchant: string
                        ComponentType: string
                    RefundComments: string
                    RefundDocument:
                      - DocumentData: string
                        CreditNoteUrl: string
                        DocumentTypeCode: string
                        DocumentTypeName: string
                        DocumentExtension: string
                RefundableAmount:
                  CurrencyCode: string
                  TotalCreditAmount: 0
                  RefundableShippingAmount: 0
                  RefundableDutiesAmount: 0
                  ProductRefundableAmount:
                    - CartItemId: string
                      Sku: string
                      ProductCode: string
                      productGroupCode: string
                      ProductCodeSecondary: string
                      productGroupCodeSecondary: string
                      RefundableTotalAmount: 0
                      RefundableQuantity: 1
        '400':
          description: >-
            Bad Request. Information cannot be parsed or violates Global-e
            policies. For example: Order ID not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  code: String
                  message: String
                  description: String
        '500':
          description: >-
            Request was successfully parsed with no violations detected, but
            there was a failure during request handling.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  code: String
                  message: String
                  description: String
components:
  schemas:
    RefundDetailsResponse:
      type: object
      properties:
        OrderId:
          type: string
        MerchantOrderId:
          type: string
        MerchantInternalOrderId:
          type: string
        WebStoreCode:
          type: string
        WebStoreInstanceCode:
          type: string
        Refunds:
          type: array
          items:
            $ref: '#/components/schemas/RefundEntry'
        RefundableAmount:
          $ref: '#/components/schemas/RefundableAmount'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            description:
              type: string
    RefundEntry:
      type: object
      properties:
        RefundID:
          type: string
        RMANumber:
          type: string
        MerchantRMANumber:
          type: string
        FullRefund:
          type: boolean
        ProductsDutiesRefund:
          type: boolean
        ShippingRefund:
          type: boolean
        RefundAsGiftCard:
          type: boolean
          nullable: true
        TotalRefundAmount:
          type: string
        OriginalTotalRefundAmount:
          type: string
        ServiceGestureAmount:
          type: string
        TotalMoneyRefundAmount:
          type: string
        DutiesAmount:
          type: string
        ShippingAmount:
          type: string
        CustomerPrepaidRefundAmount:
          type: string
        OriginalCustomerPrepaidRefundAmount:
          type: string
        TotalGiftCardsRefundAmount:
          type: string
        TotalGiftCardsRefundAmountinMerchantCurrency:
          type: number
        TotalLoyaltyPointsRefunded:
          type: number
        TotalLoyaltyPointsRefundAmount:
          type: number
        GiftCardsData:
          type: array
          items:
            $ref: '#/components/schemas/GiftCardData'
        ExternalReference:
          type: string
        InitiatedBy:
          type: string
        CurrencyCode:
          type: string
        OriginalCurrencyCode:
          type: string
        RefundReason:
          $ref: '#/components/schemas/MerchantOrderRefundReason'
        RefundProducts:
          type: array
          items:
            $ref: '#/components/schemas/RefundProductEntry'
        RefundComponents:
          type: array
          items:
            $ref: '#/components/schemas/MerchantRefundComponent'
        RefundComments:
          type: string
        RefundDocument:
          type: array
          items:
            $ref: '#/components/schemas/RefundDocument'
    RefundableAmount:
      type: object
      properties:
        CurrencyCode:
          type: string
        TotalCreditAmount:
          type: number
        RefundableShippingAmount:
          type: number
        RefundableDutiesAmount:
          type: number
        ProductRefundableAmount:
          type: array
          items:
            $ref: '#/components/schemas/ProductRefundableAmount'
    GiftCardData:
      type: object
      additionalProperties: true
      properties:
        CardId:
          type: number
    MerchantOrderRefundReason:
      type: object
      title: Merchant.OrderRefundReason
      properties:
        Name:
          type: string
          description: Order refund reason name.
        OrderRefundReasonCode:
          type: string
          description: >-
            Code denoting the order refund reason on the Merchant’s site (to be
            mapped on the Global‑e side). If not mapped, Global‑e internal code
            will be specified instead.
    RefundProductEntry:
      type: object
      properties:
        CartItemId:
          type: string
        RefundQuantity:
          type: string
        RefundAmount:
          type: string
        OriginalRefundAmount:
          type: string
        RefundAmountPercent:
          type: string
        RefundReason:
          type: string
        RefundComments:
          type: string
        Sku:
          type: string
        ProductCode:
          type: string
        productGroupCode:
          type: string
        ProductCodeSecondary:
          type: string
        productGroupCodeSecondary:
          type: string
    MerchantRefundComponent:
      type: object
      title: Merchant.RefundComponent
      properties:
        Amount:
          type: number
          description: The refund amount in customer currency.
        ComponentType:
          type: string
          enum:
            - Products
            - Shipping
            - Duties
            - PrepaidReturn
            - ServiceGesture
          description: Products, Shipping, Duties, PrepaidReturn or ServiceGesture.
        IsChargedToMerchant:
          type: boolean
          description: >-
            Indicates if the component is charged to the Merchant or to
            Global-e. TRUE - Component is charged to the Merchant (default)
            FALSE - Component is charged to Global‑e If the same component is
            split between charged to the Merchant and charged to Global‑e, it
            should appear twice, each time with a different value in
            IsChargedToMerchant. Exception: A component PrepaidReturn – it
            should always be IsChargedToMerchant = TRUE.
        OriginalAmount:
          type: number
          description: The refund amount in Merchant currency.
    RefundDocument:
      type: object
      properties:
        DocumentData:
          type: string
        CreditNoteUrl:
          type: string
        DocumentTypeCode:
          type: string
        DocumentTypeName:
          type: string
        DocumentExtension:
          type: string
    ProductRefundableAmount:
      type: object
      properties:
        CartItemId:
          type: string
        Sku:
          type: string
        ProductCode:
          type: string
        productGroupCode:
          type: string
        ProductCodeSecondary:
          type: string
        productGroupCodeSecondary:
          type: string
        RefundableTotalAmount:
          type: number
        RefundableQuantity:
          type: integer

````